// DragDropDlg.h : header file
//

///////////////////////////////////////////////////////////////////
// CDragDropDlg dialog
#include "AddDrop.h"

class CDragDropDlg : public CDialog,public DAddDrop
{
// Construction
public:
    CDragDropDlg(CWnd* pParent = NULL);	

// Dialog Data
    //{{AFX_DATA(CDragDropDlg)
    enum { IDD = IDD_DRAGDROP_DIALOG };
        // NOTE: the ClassWizard will add data members here
    //}}AFX_DATA

    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CDragDropDlg)
    protected:
    virtual void DoDataExchange(CDataExchange* pDX);    
    //}}AFX_VIRTUAL

    //REMOVE
    //COleDropTarget m_target;
    
    virtual DROPEFFECT	OnDragOver( COleDataObject* pDataObject, 
                                    DWORD dwKeyState, CPoint point );
    virtual DROPEFFECT	OnDragEnter( COleDataObject* pDataObject, 
                                     DWORD dwKeyState, CPoint point );
    virtual void OnDragLeave();
    virtual BOOL OnDrop(COleDataObject* pDataObject,
                        DROPEFFECT dropEffect,CPoint point);

    DROPHANDLERS()

// Implementation
protected:
    HICON m_hIcon;

    // Generated message map functions
    //{{AFX_MSG(CDragDropDlg)
    virtual BOOL OnInitDialog();
    afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
    afx_msg void OnPaint();
    afx_msg HCURSOR OnQueryDragIcon();
    afx_msg void OnMouseMove(UINT nFlags, CPoint point);
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};
